Bug 499944 - Arguments are not passed to nautilus-action scripts
Arguments are not passed to nautilus-action scripts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus-actions (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 07:14 EDT by Edouard Bourguignon
Modified: 2009-05-12 00:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 20:26:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edouard Bourguignon 2009-05-09 07:14:11 EDT
Description of problem:
All arguments like %f %M etc are not passed to the script called by nautilus-action.

Version-Release number of selected component (if applicable):
nautilus-actions-1.9-0.4.svn20081020.fc11.x86_64

How reproducible:
static

Steps to Reproduce:
1. create a script that will use args
2. add a nautilus action that will call the script with some args
3. click on the context menu to run this action
  
Actual results:
script is launched but args list is empty.


Expected results:
script should be launched with args

Additional info:
I try with this script:
----------------------------------------
#!/bin/bash

echo $* > /tmp/args.log
zenity --info --text="Arguments: $*."
----------------------------------------

Add it to nautilus-action with %M as argument. restart nautilus, then right click on any file. Log stay empty, zenity infobox also do.
Comment 1 Deji Akingunola 2009-05-09 09:59:39 EDT
Can you please confirm that the package at http://koji.fedoraproject.org/koji/taskinfo?taskID=1344963 fix this bug for you?
Thanks.
Comment 2 Edouard Bourguignon 2009-05-09 12:49:49 EDT
I can confirm that this package nautilus-actions-1.9-0.5.svn20090508.fc11.x86_64.rpm fix this bug. Thanks.
Comment 3 Fedora Update System 2009-05-10 20:35:11 EDT
nautilus-actions-1.9-0.5.svn20090508.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nautilus-actions-1.9-0.5.svn20090508.fc11
Comment 4 Fedora Update System 2009-05-12 00:01:52 EDT
nautilus-actions-1.9-0.5.svn20090508.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.